Scilab Function
Last update : 00/00/0000

smooth - interpolation par une spline

### Calling Sequence

  `[pt]=smooth(ptd [,pas])`

### Parameters

- `ptd` : vecteur réel à deux colonnes
- `pas` : réel (pas de discrétisation des abscisses)
- `pt` : vecteur réel à deux colonnes

### Description

Cette fonction calcule les valeurs d'une spline d'interpolation dont les points de référence sont donnés par `(ptd(1,i),ptd(2,i))`. Les abscisses `ptd(1,:)` doivent être classés par ordre croissant. La valeur par défaut du pas est égale à `abs(maxi(ptd(1,:))-mini(ptd(1,:)))/100`

### Examples

    x=[1 10 20 30 40];
    y=[1 30 -10 20 40];
    plot2d(x',y',[3],"011"," ",[-10,-40,50,50]);
    yi=smooth([x;y],0.1);
    plot2d(yi(1,:)',yi(2,:)',[1],"000");

### See Also

`splin`, `interp`, `interpln`,